# VectorNav C++ Library: UART Binary Data Extractors

UART Binary Data Extractors

This group of methods are useful for extracting data from binary data packets. More...

## Functions

uint8_t | vn::protocol::uart::Packet::extractUint8 ()
| Extracts a uint8_t data type from a binary packet and advances the next extraction point appropriately. More...
int8_t | vn::protocol::uart::Packet::extractInt8 ()
| Extracts a int8_t data type from a binary packet and advances the next extraction point appropriately. More...
uint16_t | vn::protocol::uart::Packet::extractUint16 ()
| Extracts a uint16_t data type from a binary packet and advances the next extraction point appropriately. More...
uint32_t | vn::protocol::uart::Packet::extractUint32 ()
| Extracts a uint32_t data type from a binary packet and advances the next extraction point appropriately. More...
uint64_t | vn::protocol::uart::Packet::extractUint64 ()
| Extracts a uint64_t data type from a binary packet and advances the next extraction point appropriately. More...
float | vn::protocol::uart::Packet::extractFloat ()
| Extracts a float fdata type from a binary packet and advances the next extraction point appropriately. More...
vn::math::vec3f | vn::protocol::uart::Packet::extractVec3f ()
| Extracts a vec3f data type from a binary packet and advances the next extraction point appropriately. More...
vn::math::vec3d | vn::protocol::uart::Packet::extractVec3d ()
| Extracts a vec3d data type from a binary packet and advances the next extraction point appropriately. More...
vn::math::vec4f | vn::protocol::uart::Packet::extractVec4f ()
| Extracts a vec4f data type from a binary packet and advances the next extraction point appropriately. More...
vn::math::mat3f | vn::protocol::uart::Packet::extractMat3f ()
| Extract a mat3f data type from a binary packet and advances the next extraction point appropriately. More...

## Detailed Description

This group of methods are useful for extracting data from binary data packets.

## Function Documentation

float vn::protocol::uart::Packet::extractFloat | ( |  | ) |

Extracts a float fdata type from a binary packet and advances the next extraction point appropriately.

Returns
  The extracted value.

int8_t vn::protocol::uart::Packet::extractInt8 | ( |  | ) |

Extracts a int8_t data type from a binary packet and advances the next extraction point appropriately.

Returns
  The extracted value.

vn::math::mat3f vn::protocol::uart::Packet::extractMat3f | ( |  | ) |

Extract a mat3f data type from a binary packet and advances the next extraction point appropriately.

Returns
  The extracted value.

uint16_t vn::protocol::uart::Packet::extractUint16 | ( |  | ) |

Extracts a uint16_t data type from a binary packet and advances the next extraction point appropriately.

Returns
  The extracted value.

uint32_t vn::protocol::uart::Packet::extractUint32 | ( |  | ) |

Extracts a uint32_t data type from a binary packet and advances the next extraction point appropriately.

Returns
  The extracted value.

uint64_t vn::protocol::uart::Packet::extractUint64 | ( |  | ) |

Extracts a uint64_t data type from a binary packet and advances the next extraction point appropriately.

Returns
  The extracted value.

Examples:
  getting_started/main.cpp, and uart_protocol/main.cpp.

uint8_t vn::protocol::uart::Packet::extractUint8 | ( |  | ) |

Extracts a uint8_t data type from a binary packet and advances the next extraction point appropriately.

Returns
  The extracted value.

vn::math::vec3d vn::protocol::uart::Packet::extractVec3d | ( |  | ) |

Extracts a vec3d data type from a binary packet and advances the next extraction point appropriately.

Returns
  The extracted value.

vn::math::vec3f vn::protocol::uart::Packet::extractVec3f | ( |  | ) |

Extracts a vec3f data type from a binary packet and advances the next extraction point appropriately.

Returns
  The extracted value.

Examples:
  getting_started/main.cpp, and uart_protocol/main.cpp.

vn::math::vec4f vn::protocol::uart::Packet::extractVec4f | ( |  | ) |

Extracts a vec4f data type from a binary packet and advances the next extraction point appropriately.

Returns
  The extracted value.